
public class Class524 {

   public int anInt7148 = 1392303897;
   public static final int anInt7149 = 0;
   static final int anInt7150 = 2;
   public int[] anIntArray7151;
   public static final int anInt7152 = 1;
   public int anInt7153 = 1112771817;
   public int[] anIntArray7154;
   public int[] anIntArray7155;


   void method11068(RS2Buffer var1) {
      label52:
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 != 0) {
            int var3;
            if(var2 == 1) {
               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray7151 = new int[var3];
               int var4 = 0;

               while(true) {
                  if(var4 >= this.anIntArray7151.length) {
                     continue label52;
                  }

                  this.anIntArray7151[var4] = var1.readUnsignedByte(-700559597);
                  if(this.anIntArray7151[var4] != 0 && 2 == this.anIntArray7151[var4]) {
                     ;
                  }

                  ++var4;
               }
            }

            if(var2 == 3) {
               this.anInt7148 = var1.readUnsignedByte(-700559597) * -1392303897;
               continue;
            }

            if(var2 == 4) {
               this.anInt7153 = var1.readUnsignedByte(-700559597) * -1112771817;
               continue;
            }

            if(var2 == 5) {
               this.anIntArray7154 = new int[var1.readUnsignedByte(-700559597)];
               var3 = 0;

               while(true) {
                  if(var3 >= this.anIntArray7154.length) {
                     continue label52;
                  }

                  this.anIntArray7154[var3] = var1.readUnsignedByte(-700559597);
                  ++var3;
               }
            }

            if(var2 != 6) {
               continue;
            }

            this.anIntArray7155 = new int[var1.readUnsignedByte(-700559597)];
            var3 = 0;

            while(true) {
               if(var3 >= this.anIntArray7155.length) {
                  continue label52;
               }

               this.anIntArray7155[var3] = var1.readUnsignedByte(-700559597);
               ++var3;
            }
         }

         return;
      }
   }

   void method11069(RS2Buffer var1, int var2) {
      label52:
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(var3 != 0) {
            int var4;
            if(var3 == 1) {
               var4 = var1.readUnsignedByte(-700559597);
               this.anIntArray7151 = new int[var4];
               int var5 = 0;

               while(true) {
                  if(var5 >= this.anIntArray7151.length) {
                     continue label52;
                  }

                  this.anIntArray7151[var5] = var1.readUnsignedByte(-700559597);
                  if(this.anIntArray7151[var5] != 0 && 2 == this.anIntArray7151[var5]) {
                     ;
                  }

                  ++var5;
               }
            }

            if(var3 == 3) {
               this.anInt7148 = var1.readUnsignedByte(-700559597) * -1392303897;
               continue;
            }

            if(var3 == 4) {
               this.anInt7153 = var1.readUnsignedByte(-700559597) * -1112771817;
               continue;
            }

            if(var3 == 5) {
               this.anIntArray7154 = new int[var1.readUnsignedByte(-700559597)];
               var4 = 0;

               while(true) {
                  if(var4 >= this.anIntArray7154.length) {
                     continue label52;
                  }

                  this.anIntArray7154[var4] = var1.readUnsignedByte(-700559597);
                  ++var4;
               }
            }

            if(var3 != 6) {
               continue;
            }

            this.anIntArray7155 = new int[var1.readUnsignedByte(-700559597)];
            var4 = 0;

            while(true) {
               if(var4 >= this.anIntArray7155.length) {
                  continue label52;
               }

               this.anIntArray7155[var4] = var1.readUnsignedByte(-700559597);
               ++var4;
            }
         }

         return;
      }
   }

   void method11070(RS2Buffer var1) {
      label52:
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 != 0) {
            int var3;
            if(var2 == 1) {
               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray7151 = new int[var3];
               int var4 = 0;

               while(true) {
                  if(var4 >= this.anIntArray7151.length) {
                     continue label52;
                  }

                  this.anIntArray7151[var4] = var1.readUnsignedByte(-700559597);
                  if(this.anIntArray7151[var4] != 0 && 2 == this.anIntArray7151[var4]) {
                     ;
                  }

                  ++var4;
               }
            }

            if(var2 == 3) {
               this.anInt7148 = var1.readUnsignedByte(-700559597) * -1392303897;
               continue;
            }

            if(var2 == 4) {
               this.anInt7153 = var1.readUnsignedByte(-700559597) * -1112771817;
               continue;
            }

            if(var2 == 5) {
               this.anIntArray7154 = new int[var1.readUnsignedByte(-700559597)];
               var3 = 0;

               while(true) {
                  if(var3 >= this.anIntArray7154.length) {
                     continue label52;
                  }

                  this.anIntArray7154[var3] = var1.readUnsignedByte(-700559597);
                  ++var3;
               }
            }

            if(var2 != 6) {
               continue;
            }

            this.anIntArray7155 = new int[var1.readUnsignedByte(-700559597)];
            var3 = 0;

            while(true) {
               if(var3 >= this.anIntArray7155.length) {
                  continue label52;
               }

               this.anIntArray7155[var3] = var1.readUnsignedByte(-700559597);
               ++var3;
            }
         }

         return;
      }
   }

   public Class524(Class253 var1) {
      byte[] var2 = var1.method4512(Class537.aClass537_7291.anInt7300 * -1281620235, 749605384);
      this.method11069(new RS2Buffer(var2), 224442820);
      if(null == this.anIntArray7151) {
         throw new RuntimeException("");
      }
   }

   static final void method11071(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 740290400);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class167.method2859(var3, var4, var0, -1480116811);
   }

   static final void method11072(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      if(var2 > 700 || var3 > 700) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 256;
      }

      double var4 = (Math.random() * (double)(var3 + var2) - (double)var2 + 800.0D) / 100.0D;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = (int)(Math.pow(2.0D, var4) + 0.5D);
   }

   static final void method11073(Class508 var0, byte var1) {
      int[] var10000 = var0.anIntArray6027;
      int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
      byte var10002;
      if(Class500.aClass225_Sub6_5953.aClass463_Sub27_8475.method13466(2134900825)) {
         if(var1 >= 12) {
            ;
         }

         var10002 = 1;
      } else {
         var10002 = 0;
      }

      var10000[var10001] = var10002;
   }

   static final void method11074(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class42 var3 = Class94.method1841(var2, (byte)-3);
      int var4 = 0;
      if(var3 != null) {
         var4 = var3.anInt451 * -1565504355;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var4;
   }
}
